﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.SqlClient;
using System.Data;

namespace CommandTest
{
    class Program
    {
        static void Main(string[] args)
        {
            //接続文字列
            string constr = @"Data Source=(LocalDB)\v11.0;AttachDbFilename=C:\Work\Books.mdf;Integrated Security=True;Connect Timeout=30";

            //SqlConnectionオブジェクトを生成
            SqlConnection con = new SqlConnection(constr);

            //追加する情報を入力
            Console.WriteLine("登録するユーザー情報を入力してください。");
            Console.Write("ID：");
            int id = Int32.Parse(Console.ReadLine());
            Console.Write("ユーザー名：");
            string username = Console.ReadLine();
            Console.Write("パスワード：");
            string password = Console.ReadLine();
            Console.Write("氏名：");
            string name = Console.ReadLine();

            //入力した情報をもとにSQL文を作成
            string sql = "INSERT INTO Users VALUES(@id, @username, @password, @name)";

            //SqlCommandオブジェクトを生成
            SqlCommand cmd = new SqlCommand(sql, con);

            //パラメータを追加する
            cmd.Parameters.Add("@id", SqlDbType.Int).Value = id;
            SqlParameter param = new SqlParameter("@username", SqlDbType.NVarChar);
            param.Value = username;
            cmd.Parameters.Add(param);
            cmd.Parameters.Add(new SqlParameter("@password", SqlDbType.NVarChar)).Value = password;
            cmd.Parameters.Add("@name", SqlDbType.NVarChar).Value = name;

            //実行予定のSQL文を表示
            Console.WriteLine("実行するSQL文：{0}", cmd.CommandText);

            //データベースを開く
            con.Open();

            //SQL文を実行する
            int ret = cmd.ExecuteNonQuery();

            //変更のあった行数を表示する
            Console.WriteLine("変更のあった件数：{0}", ret);

            //データベースを閉じる
            con.Close();
            Console.ReadLine();
        }
    }
}
